GPASSWD(1)

NOM
gpasswd - Administrer /etc/group et /etc/gshadow

SYNOPSIS

gpasswd [option] groupe

DESCRIPTION

La commande gpasswd est utilisée pour administrer /etc/groupet /etc/gshadow. Chaque groupe peut avoir des administrateurs, des membres et un mot de passe.

Les administrateurs système peuvent utiliser l'option -A pour définir un ou des administrateurs de groupe et l'option -M pour définir les membres. Ils ont tous les droits des administrateurs et membres du groupe.

gpasswd appelée par un administrateur de groupe avec un nom de groupe demande seulement le nouveau mot de passe du groupe.

Si un mot de passe est configuré, les membres peuvent toujours utiliser newgrp(1) sans mot de passe. Les non membres doivent fournir le mot de passe.

  Notes sur les mots de passe de groupe

Les mots de passe de groupe représentent naturellement un risque en matière de sécurité, puisque plusieurs personnes ont connaissance du mot de passe. Cependant, les groupes sont utiles pour permettre la coopération entre différents utilisateurs.

OPTIONS

À part les options -A et -M, les options ne peuvent pas être combinées.

Les options disponibles pour la commande gpasswd sont :

-a, --add user
    Ajouter l'utilisateur à ce groupe.

-d, --delete user
    Enlever l'utilisateur de ce groupe.

-h, --help
    Afficher un message d'aide et quitter.

-Q, --root CHROOT_DIR
    Appliquer les changements dans le répertoire RÉP_CHROOT et utiliser les fichiers de configuration du répertoire RÉP_CHROOT.

-r, --remove-password
    Enlever le mot de passe pour ce groupe. Le mot de passe du groupe sera vide. Seuls les membres du groupe seront autorisés à utiliser newgrp pour rejoindre ce groupe.

-R, --restrict
    Restreindre l'accès à ce groupe. Le mot de passe du groupe est défini à « ! ». Seuls les membres du groupe seront autorisés à utiliser newgrp pour rejoindre ce groupe.

-A, --administrators user,...
    Configurer la liste des administrateurs.

-M, --members user,...
    Configurer la liste des membres du groupe.

AVERTISSEMENTS

Cet outil ne fonctionne que sur les fichiers/etc/groupet /etc/gshadow. Par conséquent vous ne pouvez modifier aucun groupe NIS ou LDAP. Cela doit être effectué sur le serveur correspondant.

CONFIGURATION

Les variables de configuration suivantes dans /etc/login.defs modifient le comportement de cet outil :

ENCRYPT_METHOD (chaîne de caractères)
    Définir les algorithmes de chiffrement par défaut du système pour coder les mots de passes (si aucun algorithme n'a été indiqué sur la ligne de commandes).

    Les valeurs suivantes sont acceptées : DES (par défaut), MD5, SHA256, SHA512.

    Remarque : ce paramètre remplace la variable MD5_CRYPT_ENAB.

MAX_MEMBERS_PER_GROUP (nombre)
    Nombre maximum de membres par entrée de groupe. Lorsque le maximum est atteint, une nouvelle entrée de groupe (ligne) est démarrée dans /etc/group (avec le même nom, même mot de passe, et même GID).

    La valeur par défaut est 0, ce qui signifie qu'il n'y a pas de limites pour le nombre de membres dans un groupe.

    Cette fonctionnalité (groupe découpé) permet de limiter la longueur des lignes dans le fichier de groupes. Ceci est utile pour s'assurer que les lignes pour les groupes NIS ne sont pas plus grandes que 1024 caractères.

    Si vous avez besoin de configurer cette limite, vous pouvez utiliser 25.

    Remarque : les groupes découpés ne sont peut-être pas pris en charge par tous les outils (même dans la suite d'outils Shadow). Vous ne devriez pas utiliser cette variable, sauf si vous en avez vraiment besoin.

MD5_CRYPT_ENAB (booléen)
    Indiquer si un mot de passe doit être chiffré en utilisant l'algorithme basé sur MD5. Si configurée à yes, les nouveaux mots de passe seront chiffrés en utilisant l'algorithme basé sur MD5 compatible avec celui utilisé par les versions récentes de FreeBSD. Il gère des mots de passe de longueur illimitée et des chaînes de salage plus longues. Configurez-la à no pour copier les mots de passe chiffrés sur d'autres systèmes qui ne comprennent pas le nouvel algorithme. la valeur par défaut est no.

    Cette variable est écrasée par la variable ENCRYPT_METHOD ou par toute option de la ligne de commande utilisée pour configurer l'algorithme de chiffrement.

    Cette variable est obsolète. Vous devriez utiliser ENCRYPT_METHOD.

SHA_CRYPT_MIN_ROUNDS (nombre), SHA_CRYPT_MAX_ROUNDS (nombre)
    Quand ENCRYPT_METHOD est configurée à SHA256 ou SHA512, cela définit le nombre de rounds de SHA utilisés par l'algorithme de chiffrement par défaut (quand le nombre de rounds n'est pas précisé sur la ligne de commande).

    Avec beaucoup de rounds, il est plus difficile de trouver le mot de passe avec une attaque par force brute. Veuillez remarquer que plus de ressources processeur seront nécessaires pour authentifier les utilisateurs.

    Si non précisée, la libc utilisera le nombre de rounds par défaut (5000).

    Les valeurs doivent être comprises dans l'intervalle 1 000 - 999 999 999.

    Si une seule des variables SHA_CRYPT_MIN_ROUNDS ou SHA_CRYPT_MAX_ROUNDS est configurée, alors cette valeur sera utilisée.

    Si SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, la valeur la plus élevée sera utilisée.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

VOIR AUSSI

newgrp(1), groupadd(8), groupdel(8), groupmod(8), grpck(8), group(5), gshadow(5).